/**
     * @descripting 轮询功能
     * @param {String} type 请求类型
     * @param {String} url 地址 
     * @param {Object} data 请求数据 
     * @param {Number} delay 轮询间隔时间
     */
    export default function polling(type, url, data, delay = 1000) {
        return new Promise((resolve, reject) =>{
            ajax[type](url, data).then(res => {
                if (res.data === 'polling') {  // 这个继续进行轮询的条件，需要根据自己的需要修改
                    setTimeout(() => {
                        resolve(polling(type, url, data, delay));
                    }, delay)
                } else {
                   resolve(res);
               }
           })
       })
    }